CON

  _clkmode      = xtal1 + pll8x
  _xinfreq      = 10_000_000

OBJ

  ant   :       "antenna_analyzer"
  sio   :       "FullDuplexSerial"
  fst   :       "FloatString"

PUB start | i, freq, band, lofreq, range

  band := @_40meters

  lofreq := long[band][0] - 100
  range := long[band][1] - lofreq + 100

  ant.start
  sio.start(31, 30, 0, 9600)
  ant.load_calibration(1)
  repeat i from 0 to 100
    freq := lofreq + i * range / 100
    sio.dec(freq)
    sio.tx(",")
    sio.str(fst.floattostring(ant.vswr(freq * 1000)))
    sio.tx(13)

DAT

_80meters     long       3500, 4000
_40meters     long       7000, 7300
_20meters     long      14000,14350
_15meters     long      21000,21450
    